package nl.iobyte.themepark.api.event.objects;

import nl.iobyte.themepark.api.attraction.objects.Attraction;

public class AttractionEvent<T> extends ChangeEvent<T> {

    private final Attraction attraction;

    public AttractionEvent(Attraction attraction, T old, T current) {
        super(old, current);
        this.attraction = attraction;
    }

    public Attraction getAttraction() {
        return attraction;
    }

}
