package nl.iobyte.themepark.api.menu.objects.handlers;

import nl.iobyte.menuapi.enums.Types;
import nl.iobyte.menuapi.interfaces.IActionHandler;
import nl.iobyte.themepark.ThemePark;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import java.util.List;

public class StatusMenuHandler implements IActionHandler {

    public String getID() {
        return "STATUS_MENU";
    }

    public List<ClickType> getClickTypes() {
        return Types.NORMAL.getTypesList();
    }

    public void execute(Player player) {
        ThemePark.getInstance().getAPI().getMenuService().getStatusMenu().open(player);
    }

}
