package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.CommandFactory;

public class AttractionCommands {

    public static void load(CommandFactory factory) {
        factory.addSubCommand(new AttractionListCommand(factory.getName()))
                .addSubCommand(new AttractionWarpCommand(factory.getName()))
                .addSubCommand(new AttractionCreateCommand(factory.getName()))
                .addSubCommand(new AttractionRegionCommand(factory.getName()))
                .addSubCommand(new AttractionNameCommand(factory.getName()))
                .addSubCommand(new AttractionCoverCommand(factory.getName()))
                .addSubCommand(new AttractionStatusCommand(factory.getName()))
                .addSubCommand(new AttractionLocationCommand(factory.getName()))
                .addSubCommand(new AttractionRemoveCommand(factory.getName()));
    }

}
