package nl.iobyte.themepark.api.menu.objects.actions;

import nl.iobyte.menuapi.action.MenuAction;
import nl.iobyte.menuapi.multi.MultiMenu;
import org.bukkit.entity.Player;

public class PageAction extends MenuAction {

    private final MultiMenu menu;
    private final int page;

    public PageAction(MultiMenu menu, int page) {
        this.menu = menu;
        this.page = page;
    }

    public void execute(Player player) {
        menu.open(player, page);
    }

}
