package nl.iobyte.themepark.commands.executors;

import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import org.bukkit.entity.Player;

public class PlayerExecutor implements ICommandExecutor {

    private final Player player;

    public PlayerExecutor(Player player) {
        this.player = player;
    }

    public boolean isPlayer() {
        return true;
    }

    public boolean hasPermission(String s) {
        return player.hasPermission(s);
    }

    public void sendMessage(String s) {
        player.sendMessage(s);
    }

    public Object getOriginal() {
        return player;
    }

}
